function setWeather () {
  var url="http://apple.accuweather.com/adcbin/apple/Apple_Weather_Data.asp?zipcode=ASI|JP|JA024|SENDAI|&metric=1";
  var httpRequest = new XMLHttpRequest();

  httpRequest.open("GET", url);
  httpRequest.overrideMimeType("text/xml");
  httpRequest.setRequestHeader('Cache-Control', 'no-cache'); 
  httpRequest.send(null); 
  httpRequest.onload = function() {xml_responded(httpRequest);}
}

function findChild (element, nodeName){
  var child;
	
  for (child = element.firstChild; child != null; child = child.nextSibling){
    if (child.nodeName == nodeName) return child;
  }
	
  return null;
}

function xml_responded (request) {
  var adc_Database = findChild(request.responseXML, "adc_Database");
  var current = findChild(adc_Database, "CurrentConditions");
  var city = findChild(current, "City").textContent;
  city = city.replace(/^\s*/, "").replace(/\s*$/, "");
  document.getElementById("city").innerText = city;
  
  var date, day, text, high, low;
  var tag_day = request.responseXML.getElementsByTagName("day");
  for (var i = 0; i < tag_day.length; i++) {
      date = findChild(tag_day[i], "ObsDate").textContent;
      date = date.replace(/^\s*/, "").replace(/\s*$/, "");
      day = findChild(tag_day[i], "DayCode").textContent;
      day = day.replace(/^\s*/, "").replace(/\s*$/, "");
      text = findChild(tag_day[i], "TXT_Short").textContent;
      text = text.replace(/^\s*/, "").replace(/\s*$/, "");
      high = findChild(tag_day[i], "High_Temperature").textContent;
      high = high.replace(/^\s*/, "").replace(/\s*$/, "");
      low = findChild(tag_day[i], "Low_Temperature").textContent;
      low = low.replace(/^\s*/, "").replace(/\s*$/, "");
      document.getElementById("date"+i).innerText = date;
      document.getElementById("day"+i).innerText = day;
      document.getElementById("text"+i).innerText = text;
      document.getElementById("temp"+i).innerText = high + " / " + low;
  }
}
